Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.syndication
Class FeedEntry

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.syndication.FeedEntry

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class FeedEntry

extends DBPersist

Store a SyndEntry object at the database

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static short` | `ClassId`

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`FeedEntry()`

Method Summary
`SyndEntryImpl` | `getEntry()`
`void` | `putEntry(SyndEntryImpl oEntry)`
`static FeedEntry` | `store(JDCConnection oConn, int iIdDomain, java.lang.String sGuWorkArea, java.lang.String sIdType, java.lang.String sGuFeed, java.lang.String sTxQuery, java.lang.Integer oInfluence, SyndEntryImpl oEntry)` Store a new SyndEntry object at k_syndentries table

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, delete, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, store, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

Constructor Detail

### FeedEntry

    public FeedEntry()

Method Detail

### getEntry

    public SyndEntryImpl getEntry()
                           throws java.io.IOException,
                                  java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### putEntry

    public void putEntry(SyndEntryImpl oEntry)

### store

    public static FeedEntry store(JDCConnection oConn,
                                  int iIdDomain,
                                  java.lang.String sGuWorkArea,
                                  java.lang.String sIdType,
                                  java.lang.String sGuFeed,
                                  java.lang.String sTxQuery,
                                  java.lang.Integer oInfluence,
                                  SyndEntryImpl oEntry)
                           throws java.sql.SQLException

  Store a new SyndEntry object at k_syndentries table

  Parameters:
    `oConn` - JDCConnection Opened JDBC database connection
    `iIdDomain` - int Domain unique Id. to which the SyndEntry will be associated
    `sGuWorkArea` - String Work Area GUID to which the SyndEntry will be associated, may be null
    `sIdType` - String Entry type or source "backtype" "twingly" etc.
    `sTxQuery` - String Optional query string passed when generating the feed
    `oInfluence` - Integer Optional user influence
    `oEntry` - SyndEntryImpl SyndEntry object to be stored
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD